#!/bin/bash

# math-open.sh
# open and refresh web page on math.columbia.edu

browser='Brave Browser'

if [ ! -d "/Applications/${browser}.app" ]
then
  printf "\nmath-open\n${browser} not installed\n\n"
  exit 1
fi

local='/Volumes/All/Local/Web/math.columbia.edu'
remote='https://www.math.columbia.edu/~bayer'

cd "./${1}"
page=$( pwd )
if [ "${page}" = "${local}" ]
then
  proj='index'
  page="${remote}"
else
  proj=${page#${local}/}
  page="${remote}/${proj}"
fi

printf "\nmath-open ${proj}\nosascript ( "

osascript <<EOF
set link to "${page}"
tell application "${browser}"
  open location link
  delay 1
  reload active tab of window 1
end tell
EOF

printf ' )\n'
